<IfModule mod_ssl.c>
<VirtualHost *:443>
    ServerName n8n.wifimtaani.top

    ProxyPreserveHost On
    ProxyPass / http://localhost:5678/
    ProxyPassReverse / http://localhost:5678/

    ErrorLog ${APACHE_LOG_DIR}/n8n_error.log
    CustomLog ${APACHE_LOG_DIR}/n8n_access.log combined

SSLCertificateFile /etc/letsencrypt/live/n8n.wifimtaani.top/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/n8n.wifimtaani.top/privkey.pem
Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
</IfModule>
